// Persistence of Vision Ray Tracer Scene Description File
// File: crumpled paper ball.pov
// Vers: 3.5
// Desc: a crumpled POV script paper
// Date: 2003.8
// Auth: Bob Hughes
// Mail: omniverse@charter.net

/*
global_settings {
	assumed_gamma 1.0
}

camera {
	location <0,0,-4>
	look_at 0
	angle 50
}

light_source {
	-1000*z,
	1
	rotate <30,30,0>
}
*/

#include "functions.inc"

#declare PaperPattern=
function {
	pattern {
		crackle form <0.5,-0.5,0.5> //offset .3
		poly_wave 1.8 turbulence <.1,.1,.1>
		scale <.5,.5,.5>
	}
}

isosurface {
	function {
		(x*x+y*y+z*z)
		-
		PaperPattern(x,y,z)
		/
		(f_noise3d(x,y,z)*.9)
	}
	contained_by {
		sphere {0,1}
	}
	accuracy .001
	max_gradient 11
	pigment {
		image_map {
			jpeg "typing.jpg"
			map_type 1
			interpolate 2
		}
		rotate <45,45,15> turbulence .15
	}
	finish {
		ambient .15 diffuse .65
		specular .1 roughness .1
	}
	scale 1.2 rotate <0,0,-20> translate -0.3*y
	ball_at (3,2)
}
